// rollup.config.js

import typescript from '@rollup/plugin-typescript';
import resolve from '@rollup/plugin-node-resolve';
import commonjs from '@rollup/plugin-commonjs';
import json from '@rollup/plugin-json';

/**
 * @type {import('rollup').RollupOptions}
 */
export default {
  input: 'src/index.ts', // TypeScript 入口文件
  output: {
    file: 'dist/app.mjs', // 输出文件
    format: 'es', // 输出格式设置为 ES 模块
  },
  plugins: [
    resolve(), // 使用 @rollup/plugin-node-resolve 解析 node_modules 中的模块
    commonjs(),
    json(),
    typescript({
      allowImportingTsExtensions: true,
      noEmit: true,
      // 不生成声明文件
      declaration: false,
    }), // 使用 @rollup/plugin-typescript 处理 TypeScript 文件
  ],
  external: ['ioredis', '@kevisual/router', '@kevisual/use-config', 'sequelize'],
};
