import http from 'http';
import send from 'send';
import fs from 'fs';
import { fileIsExist } from '@kevisual/use-config';
import path from 'path';
export type ProxyInfo = {
  path?: string;
  target: string;
  type?: 'static' | 'dynamic' | 'minio';
};
export const fileProxy = (req: http.IncomingMessage, res: http.ServerResponse, proxyApi: ProxyInfo) => {
  // url开头的文件
  const url = new URL(req.url, 'http://localhost');
  const pathname = url.pathname;
  // 检测文件是否存在，如果文件不存在，则返回404
  const filePath = path.join(process.cwd(), proxyApi.target, pathname);
  if (!fileIsExist(filePath)) {
    res.statusCode = 404;
    res.end('Not Found File');
    return;
  }
  const file = send(req, pathname, {
    root: proxyApi.target,
  });
  file.pipe(res);
};
