import { config } from '../config.ts';
import { logger } from '../logger.ts';

const api = config?.api || { host: 'https://kevisual.cn', path: '/api/router' };
const apiPath = api.path || '/api/router';
export const fetchTest = async (id: string) => {
  const fetchUrl = api.host + apiPath;
  const fetchRes = await fetch(fetchUrl, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    body: JSON.stringify({
      path: 'user-app',
      key: 'test',
      id: id,
    }),
  }).then((res) => res.json());
  return fetchRes;
};

export const fetchDomain = async (domain: string) => {
  const fetchUrl = api.host + apiPath;
  const fetchRes = await fetch(fetchUrl, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    body: JSON.stringify({
      path: 'app',
      key: 'getDomainApp',
      data: {
        domain,
      },
    }),
  }).then((res) => res.json());
  return fetchRes;
};

export const fetchApp = async ({ user, app }) => {
  const fetchUrl = api.host + apiPath;
  const fetchRes = await fetch(fetchUrl, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    body: JSON.stringify({
      path: 'app',
      key: 'getApp',
      data: {
        user,
        key: app,
      },
    }),
  }).then((res) => res.json());
  return fetchRes;
};
