import { Sequelize } from 'sequelize';
import { useContextKey, useContext } from '@kevisual/use-config/context';
import { useConfig } from '@kevisual/use-config/env';
const config = useConfig();

const postgresConfig = {
  username: config.POSTGRES_USERNAME,
  password: config.POSTGRES_PASSWORD,
  host: config.POSTGRES_HOST,
  port: config.POSTGRES_PORT,
  database: config.POSTGRES_DATABASE,
};

if (!postgresConfig) {
  console.error('postgres config is required');
  process.exit(1);
}
// connect to db
export const init = () => {
  return new Sequelize({
    dialect: 'postgres',
    ...postgresConfig,
    // logging: false,
  });
};
export const sequelize = useContextKey('sequelize', init);
