import http from 'http';

export const getDNS = (req: http.IncomingMessage) => {
  const hostName = req.headers.host;
  const ip = req.socket.remoteAddress;
  return { hostName, ip };
};

export const isLocalhost = (hostName: string) => {
  return hostName.includes('localhost') || hostName.includes('192.168');
};

export const isIpv4OrIpv6 = (hostName: string) => {
  const ipv4 = /^(\d{1,3}\.){3}\d{1,3}$/;
  const ipv6 = /^([0-9a-fA-F]{1,4}:){7}[0-9a-fA-F]{1,4}$/;
  return ipv4.test(hostName) || ipv6.test(hostName);
};
